{% extends 'profile/layouts/base_layout.html' %}

{% block navbar %}
    {% include 'profile/layouts/navbar.html' %}
{% endblock navbar %}
{% load static %}
{% load humanize %}
{% block main %}
<main role="main">
    <div class="jumbotron bg-berita-head text-putih text-center">
        <div class="container">
            <div class="row">
                <div class="col-md-12 mt-5 mb-auto">
                    <h2 class="mt-3">Kontak Merapi Trip</h2>
                    <nav aria-label="breadcrumb">
                        <ol class="breadcrumb justify-content-center">
                            <li class="breadcrumb-item"><a href="{% url 'profile:home' %}">Beranda</a></li>
                            <li class="breadcrumb-item active" aria-curent="page">Kontak</li>
                        </ol>
                    </nav>
                </div>
            </div>
        </div>
    </div>
    <div class="bg-berita">
        <div class="container">
            {% if messages %}
                {% for message in messages %}
                    <div class="alert {{ message.tags }} my-2" role="alert">
                        {{message}}
                        <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>  
                {% endfor %}
            {% endif %}

            <div class="row bg-white">
                <div class="col-md-12 mt-5 mb-0">
                    <div class="row">
                        <div class="col-md-4 kontaks">
                            <h5 id="kategori_berita">Kontak Info</h5>
                            <hr class="hr-sm mt-0 mb-2" align="left">
                            <p style="font-size:14px;">Silahkan hubungi kami melalui chat, email atau telepon.</p>
                            <span><b>Basecamp rizq_sanjaya:</b></span><br>
                            <span class="fot-address">
                                <a target="_blank" href="{{alamat_link}}">
                                    <i class="bi bi-geo-alt-fill"></i>
                                    <h3>Alamat :
                                    <span>{{alamat}}</span>
                                    </h3>
                                </a>
                            </span>
                            <div class="kontak-hotline mt-4 mb-2">
                                <span class="fot-hotline mb-2">
                                    <a href="tel:+{{telepon}}">
                                        <i class="bi bi-telephone-fill"></i>
                                        <h3>Hotline :
                                        <span>{{telepon_text}}</span>
                                        </h3>
                                    </a>
                                </span>
                                <span class="fot-hotline mb-2">
                                    <a target="_blank" href="{{whatsapp}}">
                                        <i class="bi bi-whatsapp"></i>
                                        <h3>WhatsApp :
                                        <span>{{whatsapp_text}}</span>
                                        </h3>
                                    </a>
                                </span>
                                <span class="fot-hotline mb-2">
                                    <a href="mailto:{{email}}">
                                        <i class="bi bi-envelope-fill"></i>
                                        <h3>Email :
                                        <span>{{email}}</span>
                                        </h3>
                                    </a>
                                </span>
                            </div>

                        </div>
                        <div class="col-md-8">
                            <h5 id="kategori_berita">Peta Lokasi</h5>
                            <hr class="hr-sm mt-0 mb-4" align="left">
                            <iframe src="" width="100%" height="300" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
                        </div>
                    </div>
                </div>
                <div class="col-md-7 mt-5 mb-5">
                    <h5 id="kategori_berita">Buku Tamu</h5>
                    <hr class="hr-sm mt-0 mb-2" align="left">
                    <p style="font-size:14px;">Silahkan tinggalkan pesan Anda untuk Kami. Sampaikan Kritik atau Saran Anda untuk kemajuan Merapi Trip.</p>
                    {% include 'profile/guestbook/form.html' %}
                </div>
                <div class="col-md-5 mt-5 mb-5">
                    <h5 id="kategori_berita">Daftar Buku Tamu</h5>
                    <hr class="hr-sm mt-0 mb-4" align="left">
                    {% if guestbooks %}
                    <div class="chat-activity-list">
                        {% for dt in guestbooks %}
                        <div class="chat-element {% if forloop.counter|divisibleby:2 %}right{% else %}left{% endif %}">
                            <span class="float-{% if forloop.counter|divisibleby:2 %}right{% else %}left{% endif %}">
                                <img alt="image" class="img-circle" src="{% static 'profile/images/front/quest.gif' %}">
                            </span>
                            <div class="media-body text-{% if forloop.counter|divisibleby:2 %}right{% else %}left{% endif %}">
                                <small class="float-{% if forloop.counter|divisibleby:2 %}left{% else %}right{% endif %}">{{ dt.created_at|naturaltime }}</small>
                                <strong>{{ dt.name }}</strong>
                                <p class="mb-0">{{ dt.message }}</p>
                                <small class="text-muted">{{ dt.created_at|date:"D, d M Y" }} - {{ dt.created_at|date:"H:i" }}</small>
                            </div>
                        </div>
                        {% endfor %}
                    </div>
                    {% else %}
                    <h4>BELUM ADA PESAN</h4>
                    {% endif %}
                </div>
            </div>
            
        </div>
    </div>
    <div class="mt-5 mb-5 bg-white">
        <div class="container">
          <div class="row">
            <div class="col-md-12">
              <marquee class="marqueek" behavior="alternate" direction="left" scroll="" onmouseover="this.setAttribute('scrollamount', 0, 0);this.stop();" onmouseout="this.setAttribute('scrollamount', 3, 0);this.start();" scrollamount="3">
                  {% if runlink %}
                  {% for dt in runlink %}
                  <a href="{{dt.link}}" target="_blank">
                    {% if dt.images %}
                    <img src="{{dt.logo.url}}">
                    {% else %}
                    <img src="{% static 'profile/images/front/no_runninglink.png' %}">
                    {% endif %}
                  </a>
                  {% endfor %}
                  {% else %}
                  <h5>Belum Ada Konten</h5>
                  {% endif %}
              </marquee>
            </div>
          </div>
        </div>
    </div>
</main>
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/footer.html' %}
{% endblock footer %}